@import url("https://fonts.googleapis.com/css2?family=Roboto&display=swap");

body {
    text-align: center;
    font-family: "Roboto";
    margin-top: 70px;
}

nav {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    width: 100%;
    height: 64px;
    display: flex;
    justify-content: space-around;
    align-items: center;
    background-color: #fafafa;
    overflow: hidden;
    z-index: 999;
}

nav img {
    vertical-align: middle;
    max-height: 50px;
}

* {
    font-family: "Roboto";
}

img {
    max-width: 90%;
}

input {
    min-width: 50%;
    border: 1px solid #212121;
    background-color: #ffffff;
    padding: 12px;
    border-radius: 12px;
}

input:disabled {
    filter: brightness(0.5);
}

.image {
    height: 55vh;
    width: 55vh;
    position: relative;
    margin: auto;
}

.image img {
    position: absolute;
    left: 50%;
    top: 12px;
    transform: translate(-50%);
    max-width: 90%;
    max-height: 50vh;
}

#osm {
    opacity: 0;
}

.try p {
    display: inline-block;
    padding: 12px;
    border-radius: 12px;
    border: 1px solid #bdbdbd;
    margin: 12px;
}

button {
    padding: 12px;
    border: none;
    border-radius: 12px;
    background-color: #bdbdbd;
}

dialog {
    border: none;
    border-radius: 12px;
}

dialog[open] {
    animation: open 0.25s;
    animation-fill-mode: forwards;
}

dialog.close {
    animation: close 0.25s;
    animation-fill-mode: forwards;
}

.try img {
    height: 15px;
}

@keyframes open {
    from {
        transform: scale(0);
    }
    to {
        transform: scale(1);
    }
}

@keyframes close {
    from {
        transform: scale(1);
    }
    to {
        transform: scale(0);
    }
}

@media screen and (max-width: 500px) {
    input {
        min-width: 90%;
    }
    
    .image {
        width: 95%;
    }
    .geocode-city__autocomplete-container {
        min-width: 90%;
    }
}
